com.google.gwt.dom.builder.shared

## Interface TextAreaBuilder

- All Superinterfaces:
    ElementBuilderBase<TextAreaBuilder>
  All Known Implementing Classes:
    DomTextAreaBuilder, HtmlTextAreaBuilder

      public interface TextAreaBuilder
      extends ElementBuilderBase<TextAreaBuilder>

  Builds an textarea element.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `UNSUPPORTED_HTML`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TextAreaBuilder` | `accessKey(java.lang.String accessKey)` A single character access key to give access to the form control.
    `TextAreaBuilder` | `cols(int cols)` Width of control (in characters).
    `TextAreaBuilder` | `defaultValue(java.lang.String defaultValue)` Represents the contents of the element.
    `TextAreaBuilder` | `disabled()` Disable this control.
    `TextAreaBuilder` | `name(java.lang.String name)` Form control or object name when submitted with a form.
    `TextAreaBuilder` | `readOnly()` Make control is read-only.
    `TextAreaBuilder` | `rows(int rows)` Number of text rows.
    `TextAreaBuilder` | `value(java.lang.String value)` Represents the current contents of the corresponding form control, in an interactive user agent.

    - ### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

      `attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

- - ### Field Detail

    - #### UNSUPPORTED_HTML

          static final java.lang.String UNSUPPORTED_HTML

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### accessKey

          TextAreaBuilder accessKey(java.lang.String accessKey)

      A single character access key to give access to the form control.
      See Also:
        W3C HTML Specification

    - #### cols

          TextAreaBuilder cols(int cols)

      Width of control (in characters).
      See Also:
        W3C HTML Specification

    - #### defaultValue

          TextAreaBuilder defaultValue(java.lang.String defaultValue)

      Represents the contents of the element. The value of this attribute does not change if the contents of the corresponding form control, in an interactive user agent, changes.

    - #### disabled

          TextAreaBuilder disabled()

      Disable this control.
      See Also:
        W3C HTML Specification

    - #### name

          TextAreaBuilder name(java.lang.String name)

      Form control or object name when submitted with a form.
      See Also:
        W3C HTML Specification

    - #### readOnly

          TextAreaBuilder readOnly()

      Make control is read-only.
      See Also:
        W3C HTML Specification

    - #### rows

          TextAreaBuilder rows(int rows)

      Number of text rows.
      See Also:
        W3C HTML Specification

    - #### value

          TextAreaBuilder value(java.lang.String value)

      Represents the current contents of the corresponding form control, in an interactive user agent. Changing this attribute changes the contents of the form control, but does not change the contents of the element. If the entirety of the data can not fit into a single string, the implementation may truncate the data.